<?php

return [
    'drivers' => [
        'analytic' => 'mysql',
        'metric' => 'mysql',
    ],

    'models' => [
        'analytic' => \Drp\Analytics\Models\Analytic::class,
        'metric' => \Drp\Analytics\Models\Metric::class,
    ],

    'table-names' => [
        'analytics' => 'analytics',
        'metrics' => 'metrics',
    ],

    'queue' => env('ANALYTICS_QUEUE_NAME', 'analytics'),

    'controller' => \Drp\Analytics\Http\Controllers\StoreAnalyticsController::class,
    'route' => [
        'uri' => 'store',
        'name' => 'analytics.store',
        'prefix' => '',
        'middleware' => ['auth:api'],
    ],

    'trackers' => [
        'button-click' => 'analytic'
    ]
];
