<?php

use Drp\Analytics\Foundation\AnalyticsManager;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAnalyticsTable extends Migration
{
    public function up(): void
    {
        if (config('analytics.drivers.analytic') === AnalyticsManager::DRIVER_MYSQL) {
            Schema::create(config('analytics.table-names.analytics'), static function (Blueprint $table): void {
                $table->bigIncrements('id');
                $table->string('type');
                $table->morphs('analyticable');
                $table->json('payload')->nullable();
                $table->timestamps();
            });
        }
    }

    public function down(): void
    {
        Schema::dropIfExists('analytics');
    }
}
