<?php

namespace Drp\Analytics;

use Drp\Analytics\Contracts\HandlesAnalytics;
use Drp\Analytics\Facades\Analytics;
use Drp\Analytics\Foundation\AnalyticsManager;
use Drp\Analytics\Foundation\Handlers\MySqlAnalytic;
use Illuminate\Support\ServiceProvider;

class AnalyticsServiceProvider extends ServiceProvider
{
    public function boot(): void
    {
        $this->loadTranslationsFrom(__DIR__ . '/../resources/lang', 'Analytics');
        $this->loadMigrationsFrom(__DIR__ . '/../database/migrations');
        $this->loadFactoriesFrom(__DIR__ . '/../database/factories');
        $this->loadRoutesFrom(__DIR__ . '/../routes/web.php');

        if ($this->app->runningInConsole() === false) {
            return;
        }

        $this->publishes([
            __DIR__ . '/../config/analytics.php' => config_path('analytics.php'),
        ], 'config');

        $this->publishes([
            __DIR__.'/../resources/lang' => resource_path('lang/vendor/analytics'),
        ], 'lang');
    }

    public function register(): void
    {
        $this->mergeConfigFrom(__DIR__ . '/../config/analytics.php', 'analytics');

        $this->app->singleton(Analytics::class, function (): AnalyticsManager {
            return new AnalyticsManager;
        });
    }
}
