<?php

namespace Drp\Analytics\Foundation;

use Drp\Analytics\Exceptions\InvalidPayloadParameterDataType;

class AnalyticPayload
{
    private $data;

    public function __construct($payload)
    {
        $this->data = $this->normalise($payload);
    }

    public function getData(): array
    {
        return $this->data;
    }

    private function normalise($payload): array
    {
        if ($payload instanceof self) {
            return $payload->getData();
        }

        if (is_array($payload)) {
            return $payload;
        }

        if ($payload === null) {
            return [];
        }

        throw new InvalidPayloadParameterDataType();
    }
}
