<?php

namespace Drp\Analytics\Foundation\Handlers;

use Drp\Analytics\Contracts\HandlesAnalytics;
use Drp\Analytics\Foundation\AnalyticPayload;
use Drp\Analytics\Foundation\AnalyticReference;
use Drp\Analytics\Models\Metric;
use Illuminate\Support\Arr;

class MySqlMetric implements HandlesAnalytics
{
    public function store(AnalyticReference $reference, AnalyticPayload $payload): void
    {
        $metric = tap(Metric::firstOrCreate(['type' => $reference->getType()]))->increment('count');

        if (in_array($reference->getAnalyticable(), (array) $metric->payload, false)) {
            return;
        }

        $metric->update(['payload' => Arr::prepend((array) $metric->payload, $reference->getAnalyticable())]);
    }
}
