<?php

namespace Drp\Analytics\Http\Controllers;

use Drp\Analytics\Facades\Analytics;
use Drp\Analytics\Foundation\AnalyticReference;
use Drp\Analytics\Http\Requests\StoreAnalyticsRequest;
use Illuminate\Http\JsonResponse;
use Illuminate\Routing\Controller;

class StoreAnalyticsController extends Controller
{
    public function __invoke(StoreAnalyticsRequest $request): JsonResponse
    {
        $reference = new AnalyticReference(
            json_decode($request->get('analyticable'), true),
            $request->get('type')
        );

        Analytics::store($reference, $request->get('payload', []));

        return response()->json();
    }
}
