<?php

namespace Drp\Analytics\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class StoreAnalyticsRequest extends FormRequest
{
    public function authorize(): bool
    {
        return auth()->check();
    }

    public function rules(): array
    {
        return [
            'analyticable' => 'required|json',
            'type' => Rule::in(
                array_keys(config('analytics.trackers'))
            )
        ];
    }

    public function messages(): array
    {
        return [
            'type.in' => 'No tracker configuration found for this analytic type.',
        ];
    }
}
